# Generated by Django 4.2.14 on 2024-07-25 14:50

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("simple_certmanager", "0002_alter_certificate_private_key_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="SigningRequest",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "common_name",
                    models.CharField(
                        help_text="The common name for the certificate", max_length=100
                    ),
                ),
                (
                    "country_name",
                    models.CharField(
                        blank=True,
                        default="NL",
                        help_text="Two-letter country code",
                        max_length=2,
                    ),
                ),
                (
                    "organization_name",
                    models.CharField(
                        blank=True,
                        help_text="The name of the organization",
                        max_length=100,
                    ),
                ),
                (
                    "state_or_province_name",
                    models.CharField(
                        blank=True,
                        help_text="The state or province name",
                        max_length=100,
                    ),
                ),
                (
                    "locality_name",
                    models.CharField(
                        blank=True, help_text="The locality name", max_length=100
                    ),
                ),
                (
                    "email_address",
                    models.EmailField(
                        blank=True,
                        help_text="Email address for the certificate",
                        max_length=254,
                    ),
                ),
                (
                    "csr",
                    models.TextField(
                        blank=True,
                        editable=False,
                        help_text="Certificate Signing Request",
                        verbose_name="CSR",
                    ),
                ),
                ("private_key", models.TextField(blank=True, editable=False)),
            ],
        ),
        migrations.AddConstraint(
            model_name="signingrequest",
            constraint=models.CheckConstraint(
                check=models.Q(
                    models.Q(
                        models.Q(("csr", ""), ("private_key", "")),
                        models.Q(
                            models.Q(("csr", ""), _negated=True),
                            models.Q(("private_key", ""), _negated=True),
                        ),
                        _connector="OR",
                    )
                ),
                name="csr_and_private_key_must_be_set_together",
            ),
        ),
    ]
